Skip to main content
Jump to: navigation, search

Sirius/2.0.4

Sirius 2.0.4 is a minor release.

Availability

Sirius 2.0.4 was released on 2015-02-12 (tag v2.0.4, commit c905439f4a4ec8b0d0c72b4d8a41b95a17b6af5e). It is available from the following update sites:

It is recommended you use the update-site matching the version of Eclipse you use to avoid potential issues at runtime.

This version includes the complete JUnit and SWTBot test suites used to validate Sirius. They are published along with all their dependencies in separate update-sites from the core, available at:

If you want to install the org.eclipse.sirius.tests.support feature, which provides APIs to help create automated tests of Sirius-based modelers, you will need to add the following update-site:

If you want to install and run the test suites themselves, you will also need the following additional update-site:

It is needed to run the tests which use an old query language (which is now superseded by Acceleo 3 and the core feature:/var:/service: interpreters).

Juno users: Sirius depends on more recent versions of some components that what is available by default from a Juno install. You need to add the following update-sites if you want to install Sirius 2.0.4 on Juno:

Compatibility

Sirius 2.0.4 is compatible with the following versions of Eclipse:

  • Eclipse 3.8/4.2 (Juno)
  • Eclipse 4.3 (Kepler)
  • Eclipse 4.4 (Luna)

It should also be compatible with milestone builds for Eclipse 4.5 (Mars), although this has not been thoroughly tested.

New & Noteworthy

The complete list of (8) tickets fixed in Sirius 2.0.4 can be found here on the Bugzilla.

Back to the top